View Issue Details

IDProjectCategoryView StatusLast Update
0023146LazarusIDEpublic2014-05-18 19:11
ReporterVojtech Cihak Assigned ToJuha Manninen  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.3 (SVN) 
Summary0023146: Boolean (sets) types in Object Inspector
DescriptionPlain boolean properties in OI was changed to read-only comboboxes.
But sets are still editable comboboxes.

Steps to reproduce:

1) Put TStringGrid to a Form and open the node Options. Try edit any option.

IMO it should be consistent.
Additional InformationRelated to 23018
TagsNo tags attached.
Fixed in Revisionr39139
LazTarget-
Widgetset
Attached Files

Relationships

related to 0023018 closedJuha Manninen Object-Inspector for Boolean-Properties should set the combobox-style to csDropDownlist 
related to 0023145 resolvedJuha Manninen TColorPropertyEditor behaves wrong with some widgetsets and Boolean editor type affects it 
related to 0026179 closedJuha Manninen It's possible to write into comboboxes inside the object inspector for boolean values. 

Activities

Martin Friebe

2012-10-17 16:41

manager   ~0063239

Just as a note. The previous change, breaks the look and feel of OI on Windows.

All properties, if selected, even if not editable, have a white (edit-like framed) display. And all of them allow, to select and copy (ctrl-c) the value.

Except the new combo box. (please revert)

Anton

2012-10-17 17:55

reporter   ~0063240

please revert

Vojtech Cihak

2012-10-17 19:39

reporter   ~0063243

It is a habit.
But if we have democracy and I can vote then I also say revert.

2012-10-17 21:24

 

OIlook.jpg (82,276 bytes)   
OIlook.jpg (82,276 bytes)   

Stephano

2012-10-17 21:27

developer   ~0063246

I have attached a screenshot showing the clipped OI combobox (AllowDropFiles property) as it is now.

Juha Manninen

2012-10-19 00:41

developer   ~0063281

Reverted in r39139.
My goal is to make a customdrawn checkbox property editor for Booleans.
It is not ready yet but can be tested with UseOICheckBox define. (Possible discussion should go to mailing list).

Vojtech Cihak

2012-10-19 01:32

reporter   ~0063283

Yes, it fine now.
I also tested new customdrawn checkbox, it works but needs a tweak. Focused and non-focused design is different on Qt.

Thanks.

Issue History

Date Modified Username Field Change
2012-10-17 15:05 Vojtech Cihak New Issue
2012-10-17 16:04 Juha Manninen Relationship added related to 0023018
2012-10-17 16:41 Martin Friebe Note Added: 0063239
2012-10-17 17:55 Anton Note Added: 0063240
2012-10-17 19:32 Zeljan Rikalo Relationship added related to 0023145
2012-10-17 19:32 Zeljan Rikalo Status new => assigned
2012-10-17 19:32 Zeljan Rikalo Assigned To => Juha Manninen
2012-10-17 19:39 Vojtech Cihak Note Added: 0063243
2012-10-17 21:24 Stephano File Added: OIlook.jpg
2012-10-17 21:27 Stephano Note Added: 0063246
2012-10-19 00:41 Juha Manninen Fixed in Revision => r39139
2012-10-19 00:41 Juha Manninen LazTarget => -
2012-10-19 00:41 Juha Manninen Status assigned => resolved
2012-10-19 00:41 Juha Manninen Resolution open => fixed
2012-10-19 00:41 Juha Manninen Note Added: 0063281
2012-10-19 01:32 Vojtech Cihak Status resolved => closed
2012-10-19 01:32 Vojtech Cihak Note Added: 0063283
2014-05-18 19:11 Juha Manninen Relationship added related to 0026179